## systemd 224

=== debian/changelog ===
systemd (224-1tanglu1) staging; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - systemd.postinst: Enable persistent journald logging by default.
    - Make libpam-systemd prefer systemd-sysv over systemd-shim
      + The shim is completely unsupported in Tanglu at time, and
        we don't want it to be installed accidentally.

 -- Matthias Klumpp <mak@debian.org>  Sun, 02 Aug 2015 20:16:44 +0200

systemd (224-1) unstable; urgency=medium

  * New upstream release.
  * boot-and-services autopkgtest: Ignore thermald. Since 1.4.3-2 it starts by
    default, but fails in most virtual envs.

 -- Martin Pitt <mpitt@debian.org>  Sat, 01 Aug 2015 13:38:57 +0200

systemd (223-2tanglu1) staging; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - systemd.postinst: Enable persistent journald logging by default.
    - Make libpam-systemd prefer systemd-sysv over systemd-shim
      + The shim is completely unsupported in Tanglu at time, and
        we don't want it to be installed accidentally.

 -- Matthias Klumpp <mak@debian.org>  Sat, 01 Aug 2015 14:44:02 +0200

systemd (223-2) unstable; urgency=medium

  * Don't enable gnu-efi on ARM. It FTBFSes and cannot really be tested now as
    there is no available hardware.
  * debian/extra/initramfs-tools/hooks/udev: Don't fail if
    /etc/systemd/network/ does not exist. (Closes: #794050)

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Jul 2015 08:25:51 +0200

systemd (223-1) unstable; urgency=medium

  * New upstream release:
    - Fix systemd-bootchart crash. (Closes: #792403)
    - Trim list of files in /usr/share/doc/systemd/. (Closes: #791839)
    - Fix "Invalid argument" failure with some  journal files.
      (Closes: #792090)
    - tmpfiles: Don't recursively descend into journal directories in /var.
      (Closes: #791897)
    - Don't frequently wake up on disabled TimeoutIdleSec=, in particular in
      automount timers. (LP: #1470845)
    - tmpfiles: Don't delete lost+found/. (Closes: #788193)

  [ Michael Biebl ]
  * udev: Remove obsolete rm_conffile/mv_conffile functions from udev.preinst.
    The udev package is using dpkg-maintscripts-helper now to remove obsolete
    conffiles.
  * systemd: Remove obsolete conffile clean up from pre-wheezy.
  * udev-udeb: Remove scsi_wait_scan hack from the start-udev script as well.

  [ Martin Pitt ]
  * Enable GNU EFI support and add gnu-efi build dep. This enables/ships the
    systemd EFI boot loader. (Closes: #787720, LP: #1472283)
  * networkd autopkgtest: More robust/forceful killing of dnsmasq.
  * ifup@.service: Drop "oneshot" to run ifup in the background during boot.
    This avoids blocking network.target on boot with unavailable hotplug
    interfaces in /etc/network/interfaces. (Closes: #790669, LP: #1425376)
  * systemd.postinst: Avoid confusing error message about
    /run/systemd/was-enabled not existing on reconfiguring.
  * debian/extra/initramfs-tools/hooks/udev: Drop some redundant code.
  * Fix networkd-wait-online -i to properly wait for the given interfaces
    only.
  * Drop debian/extra/base-installer.d/05udev: We use net.ifnames by default
    now, thus we don't need to copy 70-persistent-*.rules any more.
  * debian/extra/start-udev: Run d-i's udevd with "notice" log level, just
    like we did in the initramfs in 219-10.
  * Fix size explosion of networkd (post-223 patch from trunk).

  [ Julian Wollrath ]
  * Copy all .link interface naming definitions to initramfs. (Closes: #793374)

  [ Felipe Sateler ]
  * nss-my*.postinst: configure at the end of the hosts line, not before
    files. (Closes: #789006)

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Jul 2015 00:02:26 +0200

systemd (222-2) unstable; urgency=medium

  [ Adam Conrad ]
  * debian/udev-udeb.install: Install new bits for net.ifnames (LP: #1473542)
  * debian/extra/initramfs-tools/hooks/udev: Do the same for initramfs-tools.

  [ Martin Pitt ]
  * emergency.service: Wait for plymouth to shut down. Fixes invisible
    emergency shell with plymouth running endlessly. (LP: #1471258)
  * Add "networkd" autopkgtest. Covers basic DHCP on IPv4 and IPv4+6 on a veth
    device.

  [ Michael Biebl ]
  * Bump package priorities of systemd and systemd-sysv to important to match
    what has been used in the Debian archive since Jessie.
  * Drop scsi_wait_scan hack from the udev initramfs-tools script. This Linux
    kernel module has been broken since 2.6.30 and as a result was removed in
    3.5. The Debian Jessie kernel no longer ships this module.
    (Closes: #752775)
  * Drop libsystemd-journald-dev and libsystemd-id128-dev. There are no
    reverse dependencies left and we want to avoid new packages picking up
    a build dependency on those obsolete transitional packages.

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Jul 2015 23:51:15 +0200

systemd (222-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream release:
    - Fix reload killing BusName= units. (Closes: #746151)
    - sysv-generator: detect invalid names and escape them. (Closes: #677075)
    - Document removal of PIDFile on daemon shutdown. (Closes: #734006)
    - Drop Revert-rules-fix-tests-for-removable-state.patch, the auto-suspend
      rules now got dropped entirely.
  * Add Revert-VT-reuse-patches.patch: Revert a couple of logind VT reuse
    patches which alternately broke lightdm and gdm.
  * debian/libsystemd0.symbols: Add new symbols from this release.
  * Disable test-netlink during package build, fails on some buildds.
  * udev.postinst: Don't call addgroup with --quiet, so that if the "input"
    group already exists as a non-system group you get a sensible error
    message. Some broken tutorials forget the --system option.
    (Closes: #769948, LP: #1455956)
  * systemd.postinst: Drop the --quiet from the addgroup calls as well, same
    reason as above. (Closes: #762275)
  * udev: Drop doc dir symlinking. It has caused too much trouble and only

