=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS="nostrip"

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
VERSION = $(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/.*: //p')

ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
    DEFAULT_NTP_SERVERS = ntp.ubuntu.com
else
    DEFAULT_NTP_SERVERS = 0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org
endif

CONFFLAGS = \
	--with-rootprefix= \
	--with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
	--with-zshcompletiondir=/usr/share/zsh/vendor-completions \
	--with-sysvinit-path=/etc/init.d \
	--with-sysvrcnd-path=/etc \
	--with-debug-shell=/bin/bash \
	--with-telinit=/lib/sysvinit/telinit \
	--enable-split-usr \
	--disable-qrencode \
	--disable-microhttpd \
	--disable-gnutls \
	--disable-libcurl \
	--disable-libidn \
	--disable-elfutils \
	--disable-vconsole \
	--disable-sysusers \
	--disable-firstboot \
	--disable-coredump \
	--disable-xkbcommon \
	--disable-importd \
	--disable-libiptc \
	--disable-silent-rules \
	--disable-python-devel \
	--with-ntp-servers="$(DEFAULT_NTP_SERVERS)"  \
	--with-system-uid-max=999 \
	--with-system-gid-max=999

ifeq (,$(findstring stage1,$(DEB_BUILD_PROFILES)))
CONFFLAGS += --enable-libcryptsetup
endif

CONFFLAGS_deb = \
	--enable-selinux \
	--enable-apparmor \
	--enable-compat-libs \
	--enable-hwdb \
	--enable-efi \
	PYTHON=python3

CONFFLAGS_udeb = \
	--disable-libcryptsetup \
	--disable-pam \
	--disable-audit \
	--disable-selinux \
	--disable-apparmor \
	--disable-smack \
	--disable-ima \
	--disable-binfmt \
	--disable-bootchart \
	--disable-quotacheck \
	--disable-tmpfiles \
	--disable-randomseed \
	--disable-backlight \
	--disable-logind \
	--disable-machined \
	--disable-hostnamed \
	--disable-timedated \
	--disable-networkd \
	--disable-timesyncd \
	--disable-localed \
	--disable-myhostname \
	--disable-resolved \
	--disable-polkit \
	--disable-acl \
	--disable-gcrypt \
	--disable-rfkill \
	--disable-hwdb \
	--disable-manpages \
	--disable-efi \
	--disable-gnuefi \
	--disable-seccomp \
	--without-python

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-deb \
		-- $(CONFFLAGS) $(CONFFLAGS_deb)
ifeq (, $(filter noudeb, $(DEB_BUILD_OPTIONS)))
	dh_auto_configure --builddirectory=build-udeb \
		-- $(CONFFLAGS) $(CONFFLAGS_udeb)
endif

override_dh_auto_build:
	dh_auto_build --builddirectory=build-deb
ifeq (, $(filter noudeb, $(DEB_BUILD_OPTIONS)))
	dh_auto_build --builddirectory=build-udeb
endif
	# generate POT file for translators
	cd build-deb/po; srcdir=../../po intltool-update --pot --verbose

override_dh_auto_install:
	dh_auto_install --builddirectory=build-deb \
		--destdir=debian/install/deb
ifeq (, $(filter noudeb, $(DEB_BUILD_OPTIONS)))
	dh_auto_install --builddirectory=build-udeb \
		--destdir=debian/install/udeb
endif
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Checking that executables don't link to libraries in /usr..."
	set -e; for e in debian/install/deb/lib/systemd/systemd*; do \
	    echo " $$e"; \
	    OUT=`env -u LD_PRELOAD ldd $$e`; if echo "$$OUT" | grep -q /usr; then \
	        echo "ERROR: $$e links to /usr"; echo "$$OUT"; exit 1; \
	    fi; \
	done
endif
	# fix paths in manpages; manually check the remaining /usr occurrences
	# occasionally, with filtering out paths which are known to be in /usr:
	# grep -r /usr debian/install/deb/usr/share/man/|egrep -v '/usr/local|os.*release|factory|zoneinfo|tmpfiles|kernel|foo|machines|sysctl|dbus|include|binfmt'
	find debian/install/deb/usr/share/man/ -type f | xargs sed -ri 's_/usr(/lib/systemd|/lib/udev|/lib/modules-load.d|/lib/modules\\-load|/lib[^/]|/lib/[^a-z])_\1_g'

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-deb
ifeq (, $(filter noudeb, $(DEB_BUILD_OPTIONS)))
	dh_auto_clean --builddirectory=build-udeb
endif
	rm -rf debian/install/
	# remove Python byte code files
	rm -rf tools/__pycache__/

override_dh_install:
	# remove unnecessary / unused files
	rm -f debian/install/*/usr/share/doc/systemd/LICENSE.*
	rm -f debian/install/*/var/log/README
	rm -f debian/install/*/etc/init.d/README
	rm -f debian/install/*/usr/share/man/man8/kernel-install.8
	rm -f debian/install/*/usr/bin/kernel-install
	rm -f debian/install/*/usr/share/zsh/vendor-completions/_kernel-install
	rm -f debian/install/*/usr/share/bash-completion/completions/kernel-install
	rm -rf debian/install/*/usr/lib/kernel/install.d
	rm -rf debian/install/*/etc/rpm/
	rm -rf debian/install/*/usr/lib/rpm/
	rm -rf debian/install/*/etc/kernel/
	rm -f debian/install/*/usr/lib/sysctl.d/50-default.conf
	find debian/install/ -name '*.la' -delete
	# remove files related to factory-reset feature
	find debian/install/ \( -name 'systemd-update-done*' -o \
		-name systemd-journal-catalog-update.service -o \
		-name systemd-udev-hwdb-update.service -o \
		-name ldconfig.service -o \
		-name etc.conf \) -delete
	rm -rf debian/install/*/usr/share/factory/
	# remove deprecated compatibility libraries
	rm -f debian/install/*/usr/lib/*/pkgconfig/libsystemd-journal.pc
	rm -f debian/install/*/usr/lib/*/pkgconfig/libsystemd-id128.pc
	rm -f debian/install/*/usr/lib/*/libsystemd-*.so
	rm -f debian/install/*/lib/*/libsystemd-*.so.*
	# remove symlinks enabling default-on services
	rm -rf debian/install/*/etc/systemd/system/*.target.wants/
ifeq (, $(filter noudeb, $(DEB_BUILD_OPTIONS)))
	dh_install -pudev-udeb -plibudev1-udeb --sourcedir=debian/install/udeb
endif
	# still needs to mature a bit, and packaging
	rm -f debian/install/*/usr/lib/*/libnss_resolve*

	# fix location of NSS modules
	cd debian/install/deb/; for f in usr/lib/*/libnss_*; do mv $$f $${f#usr/}; done

	dh_install --remaining-packages --sourcedir=debian/install/deb --fail-missing

	# Make sure the runlevel services are known by systemd so their targets
	# get launches. See https://bugzilla.redhat.com/show_bug.cgi?id=1002806
	for t in poweroff rescue multi-user graphical reboot; do \
		mkdir -p debian/systemd/lib/systemd/system/$${t}.target.wants;\
		ln -s ../systemd-update-utmp-runlevel.service \
			debian/systemd/lib/systemd/system/$${t}.target.wants ;\
	done

	# we don't want /tmp to be a tmpfs by default
	mv debian/systemd/lib/systemd/system/tmp.mount debian/systemd/usr/share/systemd/
	printf '\n[Install]\nWantedBy=local-fs.target\n' >> debian/systemd/usr/share/systemd/tmp.mount
	rm debian/systemd/lib/systemd/system/local-fs.target.wants/tmp.mount

	# remove duplicates
	# files shipped by systemd-sysv / sysvinit
	rm debian/systemd/usr/share/man/man1/init.1
	rm debian/systemd/usr/share/man/man8/halt.8
	rm debian/systemd/usr/share/man/man8/poweroff.8
	rm debian/systemd/usr/share/man/man8/reboot.8
	rm debian/systemd/usr/share/man/man8/shutdown.8
	rm debian/systemd/usr/share/man/man8/telinit.8
	rm debian/systemd/usr/share/man/man8/runlevel.8
	# files shipped by libpam-systemd
	rm debian/systemd/usr/share/man/man8/pam_systemd.8
	# files shipped by libnss-myhostname
	rm debian/systemd/usr/share/man/man8/libnss_myhostname.so.2.8
	rm debian/systemd/usr/share/man/man8/nss-myhostname.8
	# files shipped by libnss-mymachines
	rm debian/systemd/usr/share/man/man8/libnss_mymachines.so.2.8
	rm debian/systemd/usr/share/man/man8/nss-mymachines.8
	# files shipped by udev
	rm -r debian/systemd/etc/udev/
	rm debian/systemd/lib/systemd/system/systemd-udev*
	rm debian/systemd/lib/systemd/system/systemd-hwdb*
	rm debian/systemd/lib/systemd/system/*.target.wants/systemd-udev*
	rm debian/systemd/lib/systemd/system/*.target.wants/*hwdb*
	rm debian/systemd/lib/systemd/systemd-udevd
	rm debian/systemd/usr/share/man/man5/udev.conf.5
	rm debian/systemd/usr/share/man/man7/hwdb.7
	rm debian/systemd/usr/share/man/man7/udev.7
	rm debian/systemd/usr/share/man/man8/systemd-hwdb*
	rm debian/systemd/usr/share/man/man8/systemd-udevd*
	rm debian/systemd/usr/share/man/man8/udevadm.8
	rm debian/systemd/usr/share/zsh/vendor-completions/_udevadm
	rm debian/systemd/usr/share/bash-completion/completions/udevadm
